blowfish

[1.5.1] Advanced Jet Engine v2.12.1 (Nov 11)

Recommended Posts

6 hours ago, Ninadragonborn said:

thanks a lot :D

but the problem is 

i can get the

FAR 

working 

i am playing in RSS 

i have done all in the 

FAR page 

add the version that was posted that works on 1.4 

but its not working 

so i can't use this 

 

Ok, just to make sure you followed ExtremeTrader's instructions here? But then i guess it's for 1.4.5 only.

 

Share this post


Link to post
Share on other sites
On 9/26/2018 at 7:19 PM, Cratzz said:

Ok, just to make sure you followed ExtremeTrader's instructions here? But then i guess it's for 1.4.5 only.

 

thanks i have done that before but there is still problem with FAR

i hope they update it on ckan or in the page of far this fix are not working for everyone 

Share this post


Link to post
Share on other sites

Hi, 

for every AJE jet engine I get the following error in KSP.log

Quote

[LOG 11:12:17.479] PartLoader: Compiling Part 'Squad/Parts/Engine/miniJet/SmallJetEngine/miniJetEngine'
[ERR 11:12:17.486] Cannot find a PartModule of typename 'ModuleEnginesAJEJet'

However everything looks just fine in Modulemanager.ConfigCache. Can anyone take a look and hopefully figure out what is the problem?

 ModuleManager.ConfigCache KSP.log

EDIT: solved. I noticed in KSP.log that AJE still depends on 3.6.1 version of Solver Engines, while I had it updated to the latest 3.7.0. After downgrading to 3.6.1 AJE started to work properly. KSP.log I attached shows previous version of AJE installed, as I was trying different versions at the time of posting and didn't notice it's the log from that trail. However the latest 2.12.0 version of AJE depends on 3.6.1 version of Solver Engines too and that's the working combo I use now. 

Edited by JebIsDeadBaby
Problem solved

Share this post


Link to post
Share on other sites
8 hours ago, JebIsDeadBaby said:

Hi, 

for every AJE jet engine I get the following error in KSP.log

However everything looks just fine in Modulemanager.ConfigCache. Can anyone take a look and hopefully figure out what is the problem?

 ModuleManager.ConfigCache KSP.log

EDIT: solved. I noticed in KSP.log that AJE still depends on 3.6.1 version of Solver Engines, while I had it updated to the latest 3.7.0. After downgrading to 3.6.1 AJE started to work properly. KSP.log I attached shows previous version of AJE installed, as I was trying different versions at the time of posting and didn't notice it's the log from that trail. However the latest 2.12.0 version of AJE depends on 3.6.1 version of Solver Engines too and that's the working combo I use now. 

That's strange.  RealFuels requires SolverEngines 3.3.0, AJE requires SolverEngines 3.6.1, and you have 3.7.0 installed, and yet RF loads fine but AJE refuses.  I'll look into this, could be an issue with KSP's version checking.

Share this post


Link to post
Share on other sites
On 11/10/2018 at 11:39 AM, JebIsDeadBaby said:

EDIT: solved. I noticed in KSP.log that AJE still depends on 3.6.1 version of Solver Engines, while I had it updated to the latest 3.7.0. After downgrading to 3.6.1 AJE started to work properly. KSP.log I attached shows previous version of AJE installed, as I was trying different versions at the time of posting and didn't notice it's the log from that trail. However the latest 2.12.0 version of AJE depends on 3.6.1 version of Solver Engines too and that's the working combo I use now. 

Thank you! I've been scratching my head for two days now why my stx engines didn't work. Replacing Solver Engines with the 3.6.1 fixed it.

Share this post


Link to post
Share on other sites

Not sure if it's really the problem because I don't exactly know how ckan works, but it seems ckan dl won't work because it listed FAR as the dependency, which is 1.3.9 max ver. However, FAR continued, which is 1.5.9 max ver is listed on ckan. Can you edit metadata so it is linked to new one? Thanks

Edited by ssd21345

Share this post


Link to post
Share on other sites
4 hours ago, ssd21345 said:

Not sure if it's really the problem because I don't exactly know how ckan works, but it seems ckan dl won't work because it listed FAR as the dependency, which is 1.3.9 max ver. However, FAR continued, which is 1.5.9 max ver is listed on ckan. Can you edit metadata so it is linked to new one? Thanks

Should be done once this is merged: https://github.com/KSP-CKAN/NetKAN/pull/6852

  • Like 1

Share this post


Link to post
Share on other sites

Hello, could anyone please explain the following variables.

 


        Area = 
        Mdes = 
        Tdes = 
        eta_n = 
        FHV = 

 

 

Thanks and Cheers :)

Share this post


Link to post
Share on other sites
4 hours ago, lk00david said:

Hello, could anyone please explain the following variables.

Spoiler

        Area = 
        Mdes = 
        Tdes = 
        eta_n = 
        FHV = 

Thanks and Cheers :)

Area - area of engine at the intake, in m^3 - affects overall thrust scaling of the engine and determines how much intake you need
Mdes - design mach number, i.e. the point at which the compressor pressure ratio (CPR) is specified
Tdes - as above but ambient air temperature at that flight condition (in kelvins)
eta_n - efficiency of the nozzle
FHV - heat energy extracted by burning fuel, in joules per kilogram

Share this post


Link to post
Share on other sites

Ok blowfish... I have the following config for a mach 9.5 scramjet

 

 

@name = aje_scramjet
    @title = #LOC_aje_part_aje_ramjet_title // CR2 Ramjet
    @manufacturer = Generic
    @mass = 0.8
    %CoMOffset = 0, 2.0, 0
    @description = #LOC_aje_part_aje_ramjet_description
    !MODEL,1:NEEDS[VenStockRevamp] {} // FIXME - it should have internals, but a compressor looks wrong.

    !MODULE[ModuleGimbal] {}

    @MODULE[ModuleEngines*]
    {
        @name = ModuleEnginesAJERamjet
        @maxThrust = 1500
        @useEngineResponseTime = False

        Area = 0.9
        Mdes = 9.5
        Tdes = 220
        eta_n = 0.9
        FHV = 95000000
        thrustUpperLimit = 1500
    }

 

My problem is... It blows up upon loading. What should I fix?

 

Thanks for your time man!

Share this post


Link to post
Share on other sites

@lk00david AJE has no scramjet support.  Supersonic combustion behaves very different than subsonic, and I have not found any paper properly describing it.  If you know of such a source, please let me know, but it needs to go into the detailed thermodynamics.

Share this post


Link to post
Share on other sites
1 hour ago, lk00david said:

might this work? 

https://www.eucass.eu/doi/EUCASS2017-031.pdf

also, I was just trying to make a ramjet that would provide more thrust and preform at that altitude/speed. I would likely add test-flight/engine failure configs to compensate for combustion instability

That might help, thanks!  It could take some time to get workable information out of it though.  And now it occurs to me, probably a lot of the assumptions made about intakes are no longer valid in a scramjet.

  • Like 1

Share this post


Link to post
Share on other sites
On 12/10/2018 at 7:26 PM, blowfish said:

That might help, thanks!  It could take some time to get workable information out of it though.  And now it occurs to me, probably a lot of the assumptions made about intakes are no longer valid in a scramjet.

glad to help, if it does work could you get a patch up for 1.3.1... kinda want it in my rp-1:D:D

 

Share this post


Link to post
Share on other sites

I'm getting a strange issue where airplane engines are not showing up as a stageable / activatable part, as shown here: https://imgur.com/a/gFIFy0j

Other engines appear and act normally.

I was trying to use this mod as part of a 1.3.1 RP-1 install via CKAN, which is where I first noticed the issue. I also tried again with a clean 1.3.1 install with just AJE and its CKAN dependencies and I'm getting the same issue. This is what is shown in the image.

Is there something else I need to be doing in-game to "activate" airbreathing engines, or is there an issue with my install?

Sorry if I'm missing something, but  I was not able to find an overview / guide here or on github. 

Thanks,

 

 

Share this post


Link to post
Share on other sites
13 hours ago, BruceTheCat said:

I'm getting a strange issue where airplane engines are not showing up as a stageable / activatable part, as shown here: https://imgur.com/a/gFIFy0j

Other engines appear and act normally.

I was trying to use this mod as part of a 1.3.1 RP-1 install via CKAN, which is where I first noticed the issue. I also tried again with a clean 1.3.1 install with just AJE and its CKAN dependencies and I'm getting the same issue. This is what is shown in the image.

Is there something else I need to be doing in-game to "activate" airbreathing engines, or is there an issue with my install?

Sorry if I'm missing something, but  I was not able to find an overview / guide here or on github. 

Thanks,

Seems like something's not activating properly, I'd need to see KSP's log to figure out what.

Share this post


Link to post
Share on other sites
On 12/25/2018 at 8:57 PM, blowfish said:

not showing up as a stageable / activatable part, as shown here: https://imgur.com/a/gFIFy0j

fyi...AJE Extended Configs is working on an issue that appears to have some similar symptoms that I encountered with turbofans in 1.4.5 with AJE & AJEEX configs for AirplanePlus turbofans...details in this issue report at git.

On 12/13/2018 at 8:00 AM, dreadway2 said:

Is there a problem with the J85 engine now? How can I fix it? 

@dreadway2 especially if you are using the AJEEX configs with AJE, the J85 & related are not currently working see the git issue report above for details.

Share this post


Link to post
Share on other sites

how can an engines tolerable temperatures be adjusted? such as when it begins to overheat and explode etc...

Share this post


Link to post
Share on other sites
On ‎12‎/‎25‎/‎2018 at 6:25 AM, BruceTheCat said:

I'm getting a strange issue where airplane engines are not showing up as a stageable / activatable part, as shown here: https://imgur.com/a/gFIFy0j

Other engines appear and act normally.

I was trying to use this mod as part of a 1.3.1 RP-1 install via CKAN, which is where I first noticed the issue. I also tried again with a clean 1.3.1 install with just AJE and its CKAN dependencies and I'm getting the same issue. This is what is shown in the image.

Is there something else I need to be doing in-game to "activate" airbreathing engines, or is there an issue with my install?

Sorry if I'm missing something, but  I was not able to find an overview / guide here or on github. 

Thanks,

 

 

I had the same problem, it was a version issue, the AJE version that CKAN installs is for a later KSP version, get hold of AJE for 1.3.1 put that in gamedata folder instead and it should fix it.

  • Like 2

Share this post


Link to post
Share on other sites

I can confirm that using the 1.3.1 version of AJE from GitHub fixed the issue! Thank you!

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now